﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;

public partial class Default6 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void RadGrid1_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("ID");
        table.Columns.Add("Item");
        for (int i = 0; i < 50; i++)
        {
            table.Rows.Add(i, "Item" + i.ToString() + " " + DateTime.Now.ToString());
        }
        RadGrid1.DataSource = table;
        RadToolTipManager1.TargetControls.Clear();
    }
    protected void RadGrid1_ItemDataBound(object sender, Telerik.Web.UI.GridItemEventArgs e)
    {
        if (e.Item is GridDataItem)
        {
            GridDataItem item = e.Item as GridDataItem;
            HyperLink lnk = item["Details"].Controls[0] as HyperLink;
            RadToolTipManager1.TargetControls.Add(lnk.ClientID, item["ID"].Text, true);
        }
    }
    protected void RadToolTipManager1_AjaxUpdate(object sender, ToolTipUpdateEventArgs e)
    {
        e.UpdatePanel.ContentTemplateContainer.Controls.Clear();
        Control ctrl = LoadControl("WebUserControl.ascx");
        ctrl.ID = "ctrl1";
        (ctrl as WebUserControl).Value = e.Value;
        e.UpdatePanel.ContentTemplateContainer.Controls.Add(ctrl);        
    }
    protected override void RaisePostBackEvent(IPostBackEventHandler sourceControl, string eventArgument)
    {
        base.RaisePostBackEvent(sourceControl, eventArgument);
        if (eventArgument == "Update")
        {
            RadGrid1.Rebind();
        }
    }
}
